Bug 13750 - selftest's dns_hub is broken
selftest's dns_hub is broken
Status: RESOLVED FIXED
Product: Samba 4.1 and newer
Classification: Unclassified
Component: Test infrastructure
4.10.0rc1
All All
: P5 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2019-01-16 13:39 UTC by Volker Lendecke
Modified: 2019-02-08 09:31 UTC (History)
2 users (show)

See Also:


Attachments
patch (1.25 KB, patch)
2019-01-16 13:41 UTC, Volker Lendecke
no flags Details
Patch for 4.10 branch (2.33 KB, text/plain)
2019-01-24 20:26 UTC, Tim Beale
jra: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Volker Lendecke 2019-01-16 13:39:35 UTC
We need dd231a16a338cfe63d12cadf0fc3e2ebe7cac828 in 4.10 for autobuild
Comment 1 Volker Lendecke 2019-01-16 13:41:44 UTC
Created attachment 14776 [details]
patch
Comment 2 Tim Beale 2019-01-24 20:26:28 UTC
Created attachment 14798 [details]
Patch for 4.10 branch

Added Jeremy's change to DNS_REQUEST_TIMEOUT to the patches to backport. (I don't think Douglas's or my patches really achieve much, so haven't bothered to include them).
Comment 3 Tim Beale 2019-01-24 20:29:22 UTC
Comment on attachment 14798 [details]
Patch for 4.10 branch

I've updated the backport patch attachment - it should get gitlab CI working on the 4.10 branch again (with some intermittent flakiness).
CI pass: https://gitlab.com/catalyst-samba/samba/pipelines/44567177
Comment 4 Jeremy Allison 2019-01-24 21:35:27 UTC
Comment on attachment 14798 [details]
Patch for 4.10 branch

LGTM.
Comment 5 Jeremy Allison 2019-01-24 21:35:49 UTC
Re-assigning to Karolin for inclusion in 4.10.rcNext
Comment 6 Karolin Seeger 2019-02-05 14:27:26 UTC
(In reply to Jeremy Allison from comment #5)
Pushed to autobuild-v4-10-test.
Comment 7 Karolin Seeger 2019-02-08 09:31:41 UTC
(In reply to Karolin Seeger from comment #6)
Pushed to v4-10-test.
Closing out bug report.

Thanks!